---
pdf: false
comments: false
status: wip
---
# Private Projekte

## Künstliche Intelligenz

Eines meiner Anliegen ist es, künstliche Intelligenz für alle verfügbar zu machen und dabei die Informationssicherheit und den Datenschutz zu wahren.

Deswegen setze ich mich derzeit vor allem mit der Erstellung von KI-Agenten auseinander und die Bereitstellung ausführlich mit frei verfügbaren (Open-Source-)Produkten.

Eingesetze Komponenten sind hierbei:

* **n8n – Der Workflow-Automatisierer** n8n ist das Herzstück meiner Automatisierung. Mit seiner visuellen Oberfläche lassen sich No-Code-Workflows einfach erstellen und anpassen – ideal für Technik-Enthusiasten und Einsteiger gleichermaßen.
* **Docker/Podman – Container-Technologie** mit Docker oder Podman lassen sich Anwendungen isoliert in Containern betreiben. Dadurch bleibt das System sauber und flexibel, ohne klassische „Auf meinem Rechner läuft’s nicht“-Probleme.
* **Ollama – Lokale KI-Modelle** Ollama ermöglicht es, leistungsfähige KI-Modelle lokal zu nutzen – ohne Cloud-Anbindung und ohne Datenschutzrisiken.
* **SearXNG** – eine datenschutzfreundliche Suchmaschine, die Suchergebnisse aus verschiedenen Quellen kombiniert.
* **OpenAI-Edge-TTS** – eine hochwertige Text-zu-Sprache-Lösung mit Unterstützung für mehrere Sprachen.
* **LocalAI** – eine Open-Source-Alternative zu OpenAI, die lokal betrieben werden kann und verschiedene Modellfamilien unterstützt.
* **Open-WebUI** – eine vielseitige, selbst gehostete KI-Plattform zur Interaktion mit KI-Agenten, als Alternative zu klassischen Chat-Interfaces wie Telegram.

<figure markdown="span">
  ![Open WebUI](images/openwebui.png){ loading=lazy }
  <figcaption>Open WebUI ist Bestandteil des Stacks für KI-Agenten</figcaption>
</figure>

* **Valkey** - als "Gehirn" um vergangene Chatabläufe einbeziehen zu können.
* **Qdrant** - als Verktordatenbank um auch RAG (Retrieval Augmented Generation) anbieten zu können und die Workflows mit eigenen Dokumenten/Wissen anzureichern.

<figure markdown="span">
  ![Beispielworkflow](images/workflow.png){ loading=lazy }
  <figcaption>Beispielworkflow zum Erstellen und Versenden eines Newsletters</figcaption>
</figure>

Eine der spannendsten Fragen, welche sich mir stellt, ist, ob freie Large-Language-Models auch in diesem Bereich und der o.g. Konstellation mit den proprietären Modellen ansatzweise mithalten können. Hierbei ist es aber wichtig zu verstehen, welche Modell in welchem Teil eines Workflows zum Einsatz kommen können.
